V1
post
/ec-dc-svc/rest/v1/studies/{studyId}/{mode}/subjecttransfers
This endpoint creates a new subject transfer record in the system. Provide all details for a subject transfer in the request body.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.Example:
test -
studyId(required): string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.Example:
CDBBCCDDEEFF11223344556677889900
Supported Media Types
- application/json
Root Schema : schema
Type:
objectSubject transfer request payload. Contains the subjectTransfer object representing details of a transfer.
Show Source
-
subjectTransfer: object
SubjectTransferDto
Represents a subject transfer between sites used for API request/response bodies.
Nested Schema : SubjectTransferDto
Type:
objectRepresents a subject transfer between sites used for API request/response bodies.
Show Source
-
comment: string
Minimum Length:
0Maximum Length:2048Additional comment or note about the subject transfer.Example:Moved subject to new site -
fromSiteId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the clinical site the subject is transferred from.Example:
938D23FA6B7241CCA41BD627E5DB60DA -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the subject transfer record.Example:
A1B2C3D4E5F64789AABBCCDDEEFF1122 -
newSubjectNumber: string
Minimum Length:
0Maximum Length:500New subject number after transfer or renumbering.Example:SUBJ-0001-NEW -
reason: string
Minimum Length:
0Maximum Length:255Reason for the subject transfer.Example:Site change -
subjectId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the subject being transferred.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
subjectNumber: string
Minimum Length:
0Maximum Length:500Unique subject Number representing the patient/participant enrolled in the study.Example:SUBJ-0001 -
toSiteId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the clinical site the subject is transferred to.Example:
699EF3745FC545589F186D2198F3C65E -
versionStart: string
(date-time)
Timestamp representing the start of the version for this subject transfer record.Example:
2023-01-01T09:00:00Z
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Success
Root Schema : SubjectTransferDto
Type:
objectRepresents a subject transfer between sites used for API request/response bodies.
Show Source
-
comment: string
Minimum Length:
0Maximum Length:2048Additional comment or note about the subject transfer.Example:Moved subject to new site -
fromSiteId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the clinical site the subject is transferred from.Example:
938D23FA6B7241CCA41BD627E5DB60DA -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the subject transfer record.Example:
A1B2C3D4E5F64789AABBCCDDEEFF1122 -
newSubjectNumber: string
Minimum Length:
0Maximum Length:500New subject number after transfer or renumbering.Example:SUBJ-0001-NEW -
reason: string
Minimum Length:
0Maximum Length:255Reason for the subject transfer.Example:Site change -
subjectId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the subject being transferred.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
subjectNumber: string
Minimum Length:
0Maximum Length:500Unique subject Number representing the patient/participant enrolled in the study.Example:SUBJ-0001 -
toSiteId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the clinical site the subject is transferred to.Example:
699EF3745FC545589F186D2198F3C65E -
versionStart: string
(date-time)
Timestamp representing the start of the version for this subject transfer record.Example:
2023-01-01T09:00:00Z
Examples
400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object